/*
 * ============================================================================
 *                   The Solar Software License, Version 1.0
 * ============================================================================
 *
 *       Copyright (C) 2002-2003 Dartmouth College. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modifica-
 * tion, are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of  source code must  retain the above copyright  notice,
 *    this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 
 * 3. The  names  "Solar"  and   "Dartmouth  College"  must  not  be  used   to 
 *    endorse  or   promote   products  derived   from this  software   without
 *    prior  written   permission.   For  written   permission,  please contact 
 *    solar@cs.dartmouth.edu.
 * 
 * 4. Products  derived from this software may not  be called "Solar", nor may
 *    "Solar" appear  in their name,  without prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS  FOR A PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN NO  EVENT SHALL  THE
 * DARTMOUTH COLLEGE OR ITS CONTRIBUTORS  BE LIABLE FOR  ANY  DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY,  OR   CONSEQUENTIAL   DAMAGES   (INCLUDING
 * BUT  NOT  LIMITED  TO, PROCUREMENT OF SUBSTITUTE  GOODS  OR  SERVICES;  LOSS
 * OF USE, DATA, OR  PROFITS; OR BUSINESS  INTERRUPTION)  HOWEVER CAUSED AND ON
 * ANY  THEORY OF LIABILITY,  WHETHER  IN CONTRACT,  STRICT LIABILITY,  OR TORT
 * (INCLUDING  NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT OF THE  USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * This software  consists of voluntary contributions made  by many individuals
 * on behalf of the Solar project at Dartmouth College. For more information on
 * the Solar project, please see <http://www.cs.dartmouth.edu/~solar/>.

 */

package campus.syslog;


/**
 *  A list of constants defined for Syslog data.
 *  
 *  @author     Guanling Chen
 *  @author     Yurong Xu
 *  @version    $Id: SyslogConstants.java,v 1.4 2003/09/19 00:38:23 glchen Exp $
 */
public interface SyslogConstants 
{
    // index of syslog fields, after applying add_timestamp.pl
    public static final int BASE           = -1;
    public static final int IDX_TIMESTAMP   = BASE + 1;
    public static final int IDX_YEAR        = BASE + 2;
    public static final int IDX_MONTH       = BASE + 3;
    public static final int IDX_DAY         = BASE + 4;
    public static final int IDX_TIME        = BASE + 5;
    public static final int IDX_MSGTYPE     = BASE + 6;
    public static final int IDX_APNAME      = BASE + 7;
    public static final int IDX_CLIENTHOST  = BASE + 8;
    public static final int IDX_CLIENTMAC   = BASE + 9;
    public static final int IDX_ACTION      = BASE + 10;
    public static final int IDX_NOTE        = BASE + 11;
    
    // tags in events published by syslog source
    public static final String EVT_TIMESTAMP    = "timestamp";  // long
    public static final String EVT_YEAR         = "year";
    public static final String EVT_MONTH        = "month";
    public static final String EVT_DAY          = "day";
    public static final String EVT_TIME         = "time";   // hh:mm:ss
    public static final String EVT_MSGTYPE      = "msgtype";
    public static final String EVT_APNAME       = "apname";
    public static final String EVT_CLIENTHOST   = "clienthost";
    public static final String EVT_CLIENTMAC    = "clientmac";
    public static final String EVT_ACTION       = "action";
    public static final String EVT_NOTE         = "note";

    // tags in raw syslog messages
    public static final String TAG_FATAL            = "FATAL";
    public static final String TAG_WARNING          = "Warning";
    public static final String TAG_INFO             = "Info";
    public static final String TAG_SYSLOG           = "Syslog";
    public static final String TAG_REPEAT_LAST_MSG  = "RepeatLastMessage";
    public static final String TAG_AUTHENTICATED    = "Authenticated";
    public static final String TAG_DEAUTHENTICATING = "Deauthenticating";
    public static final String TAG_DEAUTHENTICATION = "Deauthentication#from";
    public static final String TAG_ASSOCIATED       = "Associated";
    public static final String TAG_ROAMED           = "roamed";
    public static final String TAG_REASSOCIATED     = "Reassociated";
    public static final String TAG_DEASSOCIATING    = "Disassociating";
    public static final String TAG_DEASSOCIATION    = "Disassociation#from";
    public static final String TAG_INACTIVITY       = "Inactivity";
}
