/*
 * ============================================================================
 *                   The Solar Software License, Version 1.0
 * ============================================================================
 *
 *       Copyright (C) 2002-2003 Dartmouth College. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modifica-
 * tion, are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of  source code must  retain the above copyright  notice,
 *    this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 
 * 3. The  names  "Solar"  and   "Dartmouth  College"  must  not  be  used   to 
 *    endorse  or   promote   products  derived   from this  software   without
 *    prior  written   permission.   For  written   permission,  please contact 
 *    solar@cs.dartmouth.edu.
 * 
 * 4. Products  derived from this software may not  be called "Solar", nor may
 *    "Solar" appear  in their name,  without prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS  FOR A PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN NO  EVENT SHALL  THE
 * DARTMOUTH COLLEGE OR ITS CONTRIBUTORS  BE LIABLE FOR  ANY  DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY,  OR   CONSEQUENTIAL   DAMAGES   (INCLUDING
 * BUT  NOT  LIMITED  TO, PROCUREMENT OF SUBSTITUTE  GOODS  OR  SERVICES;  LOSS
 * OF USE, DATA, OR  PROFITS; OR BUSINESS  INTERRUPTION)  HOWEVER CAUSED AND ON
 * ANY  THEORY OF LIABILITY,  WHETHER  IN CONTRACT,  STRICT LIABILITY,  OR TORT
 * (INCLUDING  NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT OF THE  USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * This software  consists of voluntary contributions made  by many individuals
 * on behalf of the Solar project at Dartmouth College. For more information on
 * the Solar project, please see <http://www.cs.dartmouth.edu/~solar/>.

 */

package solar;


/**
 *  This interface contains the constants used throughout the Solar
 *  code base.
 *
 *  @author     Guanling Chen
 *  @version    $Id: SolarConstants.java,v 1.15 2003/10/13 03:13:03 glchen Exp $
 */
public interface SolarConstants
{
    // serialization version id
    public static final long ID_SVID                = 114985903049L;
    public static final long GUID_SVID              = 219579347534L;
    public static final long RPCACK_SVID            = 313486778243L;
    public static final long REQUEST_SVID           = 415344665567L;
    public static final long ATTRIBUTE_SVID         = 515345676234L;
    public static final long PIPE_SPEC_SVID         = 616845678934L;
    public static final long GRAPH_SPEC_SVID        = 714534535136L;
    public static final long FILTER_SPEC_SVID       = 813429897451L;
    public static final long ADVERTISEMENT_SVID     = 914543657145L;
    public static final long NAME_RECORD_SVID       = 123465787252L;
    public static final long ATTRIBUTE_RECORD_SVID  = 222195485672L;
    public static final long HEADER_SVID            = 322254233454L;
    public static final long FILTER_CONFIG_SVID     = 334536545645L;
    public static final long PACK_POLICY_SVID       = 341235476672L;
}
